/***
 * Jonathan: an Open Distributed Processing Environment 
 * Copyright (C) 1999 France Telecom R&D
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * Release: 2.0
 *
 * Contact: jonathan@objectweb.org
 *
 * Author: Bruno Dumant
 * 
 */

package org.objectweb.jonathan.model;

/**
 * A name is always related to a given {@link naming_context naming context}, and
 * unambiguously designates a given object or object interface in that context.
 * <p>
 * In Jonathan, names may take very diverse forms:
 * <ul>
 * <li> an object reference is a name designating a specific object in
 *      the context of a Java virtual machine;
 * <li> an integer <i>i</i> may be the name of an object in the context
 *      of an array of objects, considering that it represents the object at offset
 *      <i>i</i> in the array;
 * </ul>
 * <p>
 * Jonathan also defines special types for different kinds of names:
 * <ul>
 * <li>  {@link org.objectweb.jonathan.apis.binding.Identifier Identifier} to 
 *       designate
 *       applicative object interfaces that need to be designated in specific ways
 *       (e.g., distributed or persistent); these identifiers are associated with
 *       naming contexts of type
 *       {@link org.objectweb.jonathan.apis.binding.NamingContext NamingContext}.
 * <li>  {@link org.objectweb.jonathan.apis.protocols.SessionIdentifier 
 *       SessionIdentifier} to designate interfaces
 *       used at the protocol level; These identifiers are associated with
 *       naming contexts of type
 *       {@link org.objectweb.jonathan.apis.protocols.Protocol Protocol}.
 * </ul>
 *
 */
public interface name {}



